gi-vte-2.91.35: Vte bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | None
Language | Haskell2010

GI.Vte.Structs.CharAttributes

Contents

- Exported types
- Methods

Description

No description available in the introspection data.

Synopsis

- newtype CharAttributes = CharAttributes (ManagedPtr CharAttributes)
- newZeroCharAttributes :: MonadIO m => m CharAttributes

# Exported types

newtype CharAttributes Source #

Memory-managed wrapper type.

Constructors

CharAttributes (ManagedPtr CharAttributes) |

#### Instances

Instances details

Eq CharAttributes Source # |
Instance details Defined in GI.Vte.Structs.CharAttributes Methods (==) :: CharAttributes -> CharAttributes -> Bool Source # (/=) :: CharAttributes -> CharAttributes -> Bool Source #
BoxedPtr CharAttributes Source # |
Instance details Defined in GI.Vte.Structs.CharAttributes Methods boxedPtrCopy :: CharAttributes -> IO CharAttributes Source # boxedPtrFree :: CharAttributes -> IO () Source #
CallocPtr CharAttributes Source # |
Instance details Defined in GI.Vte.Structs.CharAttributes Methods boxedPtrCalloc :: IO (Ptr CharAttributes) Source #
ManagedPtrNewtype CharAttributes Source # |
Instance details Defined in GI.Vte.Structs.CharAttributes Methods toManagedPtr :: CharAttributes -> ManagedPtr CharAttributes Source #
tag ~ 'AttrSet => Constructible CharAttributes tag Source # |
Instance details Defined in GI.Vte.Structs.CharAttributes Methods new :: MonadIO m => (ManagedPtr CharAttributes -> CharAttributes) -> [AttrOp CharAttributes tag] -> m CharAttributes Source #

newZeroCharAttributes :: MonadIO m => m CharAttributes Source #

Construct a `CharAttributes` struct initialized to zero.

# Methods